[squeak-dev] Using 3.10.2-build in Release 4.1

Levente Uzonyi leves at elte.hu
Mon Mar 15 05:06:45 UTC 2010

On Sun, 14 Mar 2010, Ralph Boland wrote:

>>>>>>>> "Ken" == Ken G Brown <kbrown at mac.com> writes:
>>> Ken> You had at least two available starting points, 3.10.2 and 3.10.2-build,
>>> Ken> -buiild was clearly better and available since June 28, 2009 (before
>>> Ken> trunk).  The fixes and additions to 3.10.2 in -build were clearly
>>> Ken> documented in the info file on the ftp site,
>>> Ken> Squeak3.10.2-build/090628-1523/090628-1523_Squeak3.10.2-build.info.  And
>> Ken> you all are choosing the one that was inferior as a starting point.
>>> I think I could find at least a dozen squeak developers here who
>>> would agree with me that if 3.10.2-build was a fixed point, it's
>>> a bad name for a release, and if it was a moving point, it would
>>> be a bad place to start the legal process.
>>> Had that been released as 3.10.3, or 3.11, your point would have merit.
> I agree that for 4.0  it is too late to use  3.10.2-build.
> However, would it be possible to apply trunk to  3.10.2-build instead of
> 3.10.2  for  4.1?  and thus harvest the value in 3.10.2-build?

Hardly. 3.10.2-build has MC1.5 which cannot load all the packages from 
the repository. AFAIK we have all but one fix from 3.10.2-build and that 
fix is just an enhancement of SystemVersion.


> Regards,
> Ralph Boland

More information about the Squeak-dev mailing list